diff -pruN 2.2.2-2/debian/changelog 2.2.2-3/debian/changelog
--- 2.2.2-2/debian/changelog	2024-07-09 12:47:42.000000000 +0000
+++ 2.2.2-3/debian/changelog	2024-07-11 14:06:23.000000000 +0000
@@ -1,3 +1,9 @@
+org-roam (2.2.2-3) unstable; urgency=medium
+
+  * Restore rebuilding org-roam.texi (Closes: #1076116).
+
+ -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Thu, 11 Jul 2024 16:06:23 +0200
+
 org-roam (2.2.2-2) unstable; urgency=medium
 
   * Adopt the package from Sean Whitton.
diff -pruN 2.2.2-2/debian/control 2.2.2-3/debian/control
--- 2.2.2-2/debian/control	2024-07-09 12:47:42.000000000 +0000
+++ 2.2.2-3/debian/control	2024-07-11 14:06:23.000000000 +0000
@@ -11,6 +11,7 @@ Build-Depends: debhelper-compat (= 13),
  elpa-emacsql-sqlite <!nocheck>,
  elpa-magit-section <!nocheck>,
  elpa-org,
+ elpa-org-contrib,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-roam
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-roam.git
diff -pruN 2.2.2-2/debian/patches/0002-Remove-references-to-doc-images-on-Debian.patch 2.2.2-3/debian/patches/0002-Remove-references-to-doc-images-on-Debian.patch
--- 2.2.2-2/debian/patches/0002-Remove-references-to-doc-images-on-Debian.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.2.2-3/debian/patches/0002-Remove-references-to-doc-images-on-Debian.patch	2024-07-11 14:06:23.000000000 +0000
@@ -0,0 +1,46 @@
+From: Sean Whitton <spwhitton@spwhitton.name>
+Date: Wed, 15 Jul 2020 13:19:47 -0700
+Subject: Remove references to doc images on Debian
+
+Very large (more than 12 MB).
+---
+ doc/org-roam.org | 12 ++----------
+ 1 file changed, 2 insertions(+), 10 deletions(-)
+
+diff --git a/doc/org-roam.org b/doc/org-roam.org
+index c3e259e..ae748ee 100644
+--- a/doc/org-roam.org
++++ b/doc/org-roam.org
+@@ -1154,9 +1154,7 @@ graph navigable.
+ 
+ *** The roam-ref protocol
+ 
+-This protocol finds or creates a new note with a given ~ROAM_REFS~:
+-
+-[[file:images/roam-ref.gif]]
++This protocol finds or creates a new note with a given ~ROAM_REFS~.
+ 
+ To use this, create the following [[https://en.wikipedia.org/wiki/Bookmarklet][bookmarklet]] in your browser:
+ 
+@@ -1437,10 +1435,7 @@ journal entries from the ideas you would write on a scratchpad.
+ 
+ ** Org-download
+ 
+-[[https://github.com/abo-abo/org-download][Org-download]] lets you screenshot and yank images from the web into your notes:
+-
+-#+CAPTION: org-download
+-[[file:images/org-download.gif]]
++[[https://github.com/abo-abo/org-download][Org-download]] lets you screenshot and yank images from the web into your notes.
+ 
+ #+BEGIN_SRC emacs-lisp
+   (use-package org-download
+@@ -1455,9 +1450,6 @@ journal entries from the ideas you would write on a scratchpad.
+ 
+ [[https://github.com/jethrokuan/mathpix.el][mathpix.el]] uses [[https://mathpix.com/][Mathpix's]] API to convert clips into latex equations:
+ 
+-#+CAPTION: mathpix
+-[[file:images/mathpix.gif]]
+-
+ #+BEGIN_SRC emacs-lisp
+   (use-package mathpix.el
+     :straight (:host github :repo "jethrokuan/mathpix.el")
diff -pruN 2.2.2-2/debian/patches/0002-patch-in-path-to-doc-images-on-Debian.patch 2.2.2-3/debian/patches/0002-patch-in-path-to-doc-images-on-Debian.patch
--- 2.2.2-2/debian/patches/0002-patch-in-path-to-doc-images-on-Debian.patch	2024-07-09 12:47:42.000000000 +0000
+++ 2.2.2-3/debian/patches/0002-patch-in-path-to-doc-images-on-Debian.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,39 +0,0 @@
-From: Sean Whitton <spwhitton@spwhitton.name>
-Date: Wed, 15 Jul 2020 13:19:47 -0700
-Subject: patch in path to doc images on Debian
-
----
- doc/org-roam.org | 6 +++---
- 1 file changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/doc/org-roam.org b/doc/org-roam.org
-index c3e259e..ef69ca3 100644
---- a/doc/org-roam.org
-+++ b/doc/org-roam.org
-@@ -1156,7 +1156,7 @@ graph navigable.
- 
- This protocol finds or creates a new note with a given ~ROAM_REFS~:
- 
--[[file:images/roam-ref.gif]]
-+[[file:/usr/share/doc/elpa-org-roam/manual/images/roam-ref.gif]]
- 
- To use this, create the following [[https://en.wikipedia.org/wiki/Bookmarklet][bookmarklet]] in your browser:
- 
-@@ -1440,7 +1440,7 @@ journal entries from the ideas you would write on a scratchpad.
- [[https://github.com/abo-abo/org-download][Org-download]] lets you screenshot and yank images from the web into your notes:
- 
- #+CAPTION: org-download
--[[file:images/org-download.gif]]
-+[[file:/usr/share/doc/elpa-org-roam/manual/images/org-download.gif]]
- 
- #+BEGIN_SRC emacs-lisp
-   (use-package org-download
-@@ -1456,7 +1456,7 @@ journal entries from the ideas you would write on a scratchpad.
- [[https://github.com/jethrokuan/mathpix.el][mathpix.el]] uses [[https://mathpix.com/][Mathpix's]] API to convert clips into latex equations:
- 
- #+CAPTION: mathpix
--[[file:images/mathpix.gif]]
-+[[file:/usr/share/doc/elpa-org-roam/manual/images/mathpix.gif]]
- 
- #+BEGIN_SRC emacs-lisp
-   (use-package mathpix.el
diff -pruN 2.2.2-2/debian/patches/0004-Repair-rebuilding-of-org-roam.texi.patch 2.2.2-3/debian/patches/0004-Repair-rebuilding-of-org-roam.texi.patch
--- 2.2.2-2/debian/patches/0004-Repair-rebuilding-of-org-roam.texi.patch	1970-01-01 00:00:00.000000000 +0000
+++ 2.2.2-3/debian/patches/0004-Repair-rebuilding-of-org-roam.texi.patch	2024-07-11 14:06:23.000000000 +0000
@@ -0,0 +1,21 @@
+From: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+Date: Thu, 11 Jul 2024 15:54:18 +0200
+Subject: Repair rebuilding of org-roam.texi
+
+---
+ doc/Makefile | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/doc/Makefile b/doc/Makefile
+index 6cdf26e..aa7a7d6 100644
+--- a/doc/Makefile
++++ b/doc/Makefile
+@@ -66,7 +66,7 @@ clean:
+ ## Release management ################################################
+ 
+ ORG_ARGS  = --batch -f package-initialize
+-ORG_ARGS += -l ox-extra -l ox-texinfo+
++ORG_ARGS += -l ox-extra
+ ORG_ARGS += --eval "(or (require 'org-man nil t) (require 'ol-man))"
+ ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
+ ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
diff -pruN 2.2.2-2/debian/patches/series 2.2.2-3/debian/patches/series
--- 2.2.2-2/debian/patches/series	2024-07-09 12:47:42.000000000 +0000
+++ 2.2.2-3/debian/patches/series	2024-07-11 14:06:23.000000000 +0000
@@ -1,3 +1,4 @@
 0001-drop-references-to-external-CSS-and-JS-from-docs.patch
-0002-patch-in-path-to-doc-images-on-Debian.patch
+0002-Remove-references-to-doc-images-on-Debian.patch
 0003-ensure-that-.texi-build-can-load-installed-elpa-org.patch
+0004-Repair-rebuilding-of-org-roam.texi.patch
diff -pruN 2.2.2-2/debian/rules 2.2.2-3/debian/rules
--- 2.2.2-2/debian/rules	2024-07-09 12:47:42.000000000 +0000
+++ 2.2.2-3/debian/rules	2024-07-11 14:06:23.000000000 +0000
@@ -6,6 +6,8 @@
 override_dh_auto_clean:
 
 override_dh_auto_build:
+	rm -f doc/org-roam.texi
+	make -C doc texi
 	make -C doc info html-dir
 
 override_dh_auto_install:
